]> git.pld-linux.org Git - packages/nagios.git/commitdiff
beb6349b4ce46cd19e27a12ab1c79f70 nagios-1.0b2.tar.gz
authorTomek Orzechowski <orzech@pld-linux.org>
Fri, 7 Jun 2002 12:50:00 +0000 (12:50 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
7a26574d1e1b9ffe4b2bf11e7c6d5c3f  nagios-apache.conf
f0e72dbeca73fecce6f90a47e6e8546b  nagios-pgsql.patch
77f2d80f4ebadd6dda16621aae8882d7  nagios.init

Changed files:
    nagios-apache.conf -> 1.1
    nagios-pgsql.patch -> 1.1
    nagios.init -> 1.1

nagios-apache.conf [new file with mode: 0644]
nagios-pgsql.patch [new file with mode: 0644]
nagios.init [new file with mode: 0644]

diff --git a/nagios-apache.conf b/nagios-apache.conf
new file mode 100644 (file)
index 0000000..a14ec13
--- /dev/null
@@ -0,0 +1,49 @@
+# WITHOUT SSL
+<IfModule !mod_ssl.c>
+ScriptAlias /nagios/cgi-bin/ /usr/lib/nagios/cgi/
+<Directory /usr/lib/nagios/cgi/>
+   Options ExecCGI
+   order deny,allow
+   deny from all
+   allow from 127.0.0.1
+</Directory>
+
+Alias /nagios/ /usr/share/nagios/
+<Directory /usr/share/nagios/>
+   Options None
+   order deny,allow
+   deny from all
+   allow from 127.0.0.1
+</Directory>
+</IfModule>
+
+# WITH SSL ENABLED
+<IfModule mod_ssl.c>
+ScriptAlias /nagios/cgi-bin/ /usr/lib/nagios/cgi/
+<Directory /usr/lib/nagios/cgi/>
+   Options ExecCGI
+   SSLRequireSSL
+   order deny,allow
+   deny from all
+   AuthType Basic
+   AuthUserFile /etc/nagios/passwd
+   AuthGroupFile /etc/nagios/group
+   AuthName "nagios"
+   require group nagios
+   Satisfy Any
+</Directory>
+
+Alias /nagios/ /usr/share/nagios/
+<Directory /usr/share/nagios/>
+   Options None
+   SSLRequireSSL
+   order deny,allow
+   deny from all
+   AuthType Basic
+   AuthUserFile /etc/nagios/passwd
+   AuthGroupFile /etc/nagios/group
+   AuthName "nagios"
+   require group nagios
+   Satisfy Any
+</Directory>
+</IfModule>
diff --git a/nagios-pgsql.patch b/nagios-pgsql.patch
new file mode 100644 (file)
index 0000000..42a6dbd
--- /dev/null
@@ -0,0 +1,48 @@
+diff -Nur netsaint-0.0.7b7.orig/xdata/xcddb.c netsaint-0.0.7b7/xdata/xcddb.c
+--- netsaint-0.0.7b7.orig/xdata/xcddb.c        Tue Aug  7 03:36:50 2001
++++ netsaint-0.0.7b7/xdata/xcddb.c     Fri Dec 14 13:29:04 2001
+@@ -51,7 +51,7 @@
+ #endif
+ #ifdef USE_XCDPGSQL
+-#include <pgsql/libpq-fe.h>
++#include <libpq-fe.h>
+ #endif
+diff -Nur netsaint-0.0.7b7.orig/xdata/xeddb.c netsaint-0.0.7b7/xdata/xeddb.c
+--- netsaint-0.0.7b7.orig/xdata/xeddb.c        Sat Aug  4 22:35:40 2001
++++ netsaint-0.0.7b7/xdata/xeddb.c     Fri Dec 14 13:29:09 2001
+@@ -44,7 +44,7 @@
+ #endif
+ #ifdef USE_XEDPGSQL
+-#include <pgsql/libpq-fe.h>
++#include <libpq-fe.h>
+ #endif
+diff -Nur netsaint-0.0.7b7.orig/xdata/xrddb.c netsaint-0.0.7b7/xdata/xrddb.c
+--- netsaint-0.0.7b7.orig/xdata/xrddb.c        Sat Aug  4 22:35:40 2001
++++ netsaint-0.0.7b7/xdata/xrddb.c     Fri Dec 14 13:29:14 2001
+@@ -43,7 +43,7 @@
+ #endif
+ #ifdef USE_XRDPGSQL
+-#include <pgsql/libpq-fe.h>
++#include <libpq-fe.h>
+ #endif
+diff -Nur netsaint-0.0.7b7.orig/xdata/xsddb.c netsaint-0.0.7b7/xdata/xsddb.c
+--- netsaint-0.0.7b7.orig/xdata/xsddb.c        Sat Aug  4 22:35:40 2001
++++ netsaint-0.0.7b7/xdata/xsddb.c     Fri Dec 14 13:29:46 2001
+@@ -48,7 +48,7 @@
+ #endif
+ #ifdef USE_XSDPGSQL
+-#include <pgsql/libpq-fe.h>
++#include <libpq-fe.h>
+ #endif
diff --git a/nagios.init b/nagios.init
new file mode 100644 (file)
index 0000000..50235cb
--- /dev/null
@@ -0,0 +1,72 @@
+#!/bin/sh
+#
+# nagios       Host/service/network monitoring daemon
+#
+# chkconfig:   345 50 50
+# description: Host/service/network monitoring daemon which uses snort as NIDS
+#
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/nagios ] && . /etc/sysconfig/nagios
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+        if [ ! -f /var/lock/subsys/network ]; then
+                # nls "ERROR: Networking is down. %s can't be run." <service>
+                msg_network_down nagios
+                exit 1
+        fi
+else
+        exit 0
+fi
+
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the service is already running?
+        if [ ! -f /var/lock/subsys/nagios ]; then
+               msg_starting nagios
+                # remove stale cmd pipe (or nagios won't start if it exists)
+                rm -f /var/log/nagios/rw/nagios.cmd
+               daemon nagios -d /etc/nagios/nagios.cfg </dev/null
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/nagios
+               chgrp http /var/lib/nagios/rw/nagios.cmd
+       else
+               msg_already_running nagios
+               exit 1
+       fi
+       ;;
+  stop)
+        # Stop daemons.
+       if [ -f /var/lock/subsys/nagios ]; then
+                msg_stopping nagios
+                killproc nagios -TERM
+                rm -f /var/lock/subsys/nagios > /dev/null 2>&1
+        else
+               msg_not_running nagios
+               exit 1
+       fi
+       ;;
+  status)
+       status nagios
+       RETVAL=$?
+       ;;
+  restart|reload)
+       $0 stop
+       $0 start
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|status}"
+       exit 1
+       ;;
+esac
+
+exit $RETVAL
+
This page took 0.056814 seconds and 4 git commands to generate.